
--- 
### Aufgabe 1

Finde heraus, wie man in Java eine zufällige Zahl erstellen kann.
1. Erstelle einen sechsseitigen Würfel in Java. Würfle einmal und gebe das Ergebnis aus.
2. Erstelle einen vier- / acht- / zehn- / zwölf-/ zwanzigseitigen Würfel in Java. Gebe auch das Ergebnis eines Wurfes aus.

---

### Aufgabe 2

1. Würfle einen sechsseitigen Würfel 100 mal. Gebe jedes Ergebnis aus
2. Wenn eine Sechs gewürfelt wird, gebe zusätzlich aus der gleichen Zeile den String "Max Schaden" aus.

---

### Aufgabe 3

1. Würfle einen sechsseitigen Würfel solange, bis insgesamt 3 mal die Sechs gewürfelt wurde
2. Würfle einen sechsseitigen Würfel solange bis 3 mal hintereinander die Sechs gewürfelt wurde

---

### Aufgabe 4

1. Erstelle eine Methode `int roll(int diceType)` welche einen Würfel mit der Augenzahl `int diceType` würfelt und das Ergebnis zurück liefert.
2. Erstelle eine Methode `int roll(int diceType, int modifier)` welche einen Würfel mit der Augenzahl `int diceType` würfelt und das Ergebnis mit dem `int modifier` addiert und als Ergebnis zurück liefert.

---


### Aufgabe 5

Newtons Approximationsmethode zur Bestimmung von Quadratwurzeln kann folgendermaßen dargestellt werden.

1. Sei x die Zahl, deren Quadratwurzel bestimmt werden soll
2. Gebe eine Schätzung ab , was die Quadratwurzel von von x ist
3. Bilde den Quotienten zwischen x und der Schätzung. Wir nennen Sie y.
4. Bilde den Durchschnitt Zwischen der Schätzung und y
5. Dieser Neue Durchschnitt ist die neue Schätzung.
6. Wiederhole Schritte 3-5 bis die Genauigkeit akzeptabel ist

---
### Beispiel

Die Quadratwurzel von 2

| Schätzung | Quotient            | Durchschnitt                   |
| --------- | ------------------- | ------------------------------ |
| 1         | (2/1) = 2           | (1+2) /2 = 1.5                 |
| 1.5       | (2/1.5) = 1.3333333 | (1.5 + 1.3333333) / 2 = 1.4167 |
| 1.4167    | (2/1.4167) = 1.4118 | (1.4118 + 1.4167) / 2 = 1.4142 |
